
Nirva Application Platform - Bug #35

Installation failed

10/26/2011 11:52 AM - Maxime Merle

Status: Closed Start date: 10/26/2011

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 0%

Category: Application Platform Estimated time: 0.00 hour

Target version: 4.7.000   

Operating System: Windows Tested:  

Version: 4.6.000   

Description

Under windows, we had problems upgrading the server NIRVA 4.6.000.

Some files have the 'hidden' attribute and the installation crashed.

- example of file : nirva/perl/.packlist

- trace of nirva install : Error: Cannot create file D:\nirva\Perl\.packlist

We have modified the files to successfully install.

The question remains: Why does the installation can not succeed if some files are hidden?

note : we upgrade from a windows nirva server 3.1.004.

note : we do not put the hidden attribute to some files.

History

#1 - 11/04/2011 11:44 AM - Pierre Marc

- Status changed from New to Resolved

- Assignee set to Pierre Marc

- Target version set to 4.7.000

- Operating System changed from Any to Windows

Nirva installation never set itself the hidden attribute under windows so if there is such attribute on an existing file before overriding, this is the result of

an external operation. However, in order to prevent such a situation, we made a modification in the installation program under windows so if the file

exists we change its attibute to "normal". This will be available on version 4.6.001.

For now a workarround consits of manually changing the file attributes.

#2 - 11/07/2011 03:23 PM - Pierre Marc

- Status changed from Resolved to Closed
